Postgres Instances - Get

Retrieves a postgres Instance resource

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/postgresInstances/{postgresInstanceName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
postgresInstanceName
path True

string

Name of Postgres Instance

resourceGroupName
path True

string

The name of the Azure resource group

subscriptionId
path True

string

The ID of the Azure subscription

api-version
query True

string

The API version to use for the request

Responses

Name Type Description
200 OK

PostgresInstance

OK

Other Status Codes

ErrorResponse

*** Error Responses: ***

Examples

Gets a postgres Instances.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/postgresInstances/testpostgresInstances?api-version=2026-01-01

Sample response

{
  "properties": {
    "basicLoginInformation": {
      "username": "username"
    }
  },
  "location": "northeurope",
  "extendedLocation": {
    "type": "CustomLocation",
    "name": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.ExtendedLocation/customLocations/arclocation"
  },
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "tags": {
    "mytag": "myval"
  },
  "sku": {
    "name": "default",
    "tier": "Hyperscale",
    "dev": true
  },
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/PostgresInstances/testpostgresInstances",
  "name": "testpostgresInstances",
  "type": "Microsoft.AzureArcData/PostgresInstances"
}

Definitions

Name Description
BasicLoginInformation

Username and password for basic login authentication.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExtendedLocation

The complex type of the extended location.

ExtendedLocationTypes

The type of the extended location.

PostgresInstance

A Postgres Instance.

PostgresInstanceProperties

Postgres Instance properties.

PostgresInstanceSku

The resource model definition representing SKU for Azure Database for PostgresSQL - Azure Arc

PostgresInstanceSkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier.

systemData

Metadata pertaining to creation and last modification of the resource.

BasicLoginInformation

Username and password for basic login authentication.

Name Type Description
password

string

Login password.

username

string

Login username.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExtendedLocation

The complex type of the extended location.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationTypes

The type of the extended location.

ExtendedLocationTypes

The type of the extended location.

Value Description
CustomLocation

PostgresInstance

A Postgres Instance.

Name Type Description
extendedLocation

ExtendedLocation

The extendedLocation of the resource.

id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

PostgresInstanceProperties

null

sku

PostgresInstanceSku

Resource sku.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PostgresInstanceProperties

Postgres Instance properties.

Name Type Description
admin

string

The instance admin

basicLoginInformation

BasicLoginInformation

Username and password for basic authentication.

dataControllerId

string

The data controller id

k8sRaw

object

The raw kubernetes information

lastUploadedDate

string (date-time)

Last uploaded date from Kubernetes cluster. Defaults to current date time

provisioningState

string

The provisioning state of the Azure Arc-enabled PostgreSQL instance.

PostgresInstanceSku

The resource model definition representing SKU for Azure Database for PostgresSQL - Azure Arc

Name Type Default value Description
capacity

integer (int32)

If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.

dev

boolean

True

Whether dev/test is enabled. When the dev field is set to true, the resource is used for dev/test purpose.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU. It is typically a letter+number code

size

string

The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.

tier

PostgresInstanceSkuTier

Hyperscale

This field is required to be implemented by the Resource Provider if the service has more than one tier.

PostgresInstanceSkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier.

Value Description
Hyperscale

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.